Bug 1773 - [UPDATE REQUEST] nvidia-long-lived 304.84
: [UPDATE REQUEST] nvidia-long-lived 304.84
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 09:17 MSK by Aleksandr Kazantcev
Modified: 2013-03-22 12:45 MSK (History)
3 users (show)

See Also:
RPM Package: nvidia-long-lived-304.84
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
report.odt (12.87 KB, application/vnd.oasis.opendocument.text)
2013-03-19 17:17 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-03-13 09:17:30 MSK
New version of long-lived driver
Comment 1 Aleksandr Kazantcev 2013-03-13 09:19:44 MSK
https://abf.rosalinux.ru/build_lists/1017406
https://abf.rosalinux.ru/build_lists/1017407

Advisory: This version proprietary driver for NVIDIA 5xxx and upper. In this version
- Fixed a bug that could lead to rendering corruption after an X server generation (i.e., leaving an X server running after all of its clients have exited).
- Removed a spurious dependency on libpangox from the nvidia-settings binary shipped as part of the driver package.
- Fixed a bug that could cause the X server to crash when performing an RandR 1.0 rotation (e.g., `xrandr --orientation left`) after unplugging the last connected monitor.
- Fixed a bug that caused the nvidia-xconfig(1) man page to be blank.
- Added support for X.org xserver ABI 14 (xorg-server 1.14).
- Fixed font rendering performance and corruption problems on X servers with backported support for the new glyph cache functionality added to Pixman 0.27.
- Fixed a potential X server crash during initialization, when a graphics card with a TV connector has no TV connected.
- Added a new X configuration option, "UseHotplugEvents", to allow the suppression of RandR events when adding or removing non-DisplayPort displays. See the "X Config Options" appendix of the README for details
Comment 2 Vladimir Potapov 2013-03-14 14:48:10 MSK
The package route to extended testing
Comment 3 Vladimir Potapov 2013-03-15 13:56:56 MSK
I can't set up this update with current kernel (3.6.10).
I believe that this is not a normal situation.
Updates should work with all kernels.
Comment 4 Aleksandr Kazantcev 2013-03-15 14:03:41 MSK
What are you doing wrong?

1. Уou need uninstall nvidia-current drivers (you was not has current and long-lived both).
2. You need use only XFdrake.

And what error appear. 'Not setup' there is not error, only words...

P.S. What hardware information?
Comment 5 Vladimir Potapov 2013-03-15 15:31:49 MSK
I had any dkms compilation error on test install with old kernel. But I don't have nvidia hardware, because the final decision will be taken only after the extended test.
Comment 6 Aleksandr Kazantcev 2013-03-15 16:58:57 MSK
Try this package

https://abf.rosalinux.ru/build_lists/1020033
https://abf.rosalinux.ru/build_lists/1020034
Comment 7 Postnikov Dmitry 2013-03-19 12:51:49 MSK
1. With NV Geforce 9600M GT - all normal
2. With NV Geforce 9600M GT:
a) on kernel 3.6.10 video driver not installed
b) on kernel 3.7.10 video driver installed and work is normal
3. With NV GT218 (ION2) + Intel HD Grafics.
a) on kernel 3.6.10 video driver not work
b) on kernel 3.7.10 video driver not work
Comment 8 Postnikov Dmitry 2013-03-19 14:28:01 MSK
Nowhere is it written that this package for Nvidia from 5ххх series to 8ххх series. And we with all of the cards tested. 

But, on the Nvidia 7600 GT - everything works fine on both kernels. (The rest of the tests then do not take into account).
Comment 9 Vladimir Potapov 2013-03-19 15:42:56 MSK
Dmitry, please make a report in accordance with the rules.
https://corpwiki.rosalinux.ru/index.php/QA_Secteam_Updates
Comment 10 Postnikov Dmitry 2013-03-19 17:17:10 MSK
Created attachment 1267 [details]
report.odt

****************************
Extended testing report
****************************
Comment 11 Vladimir Potapov 2013-03-20 14:50:31 MSK
nvidia-long-lived-cuda-opencl-304.84-1-rosa2012.1
********************* Advisory *********************
New version proprietary driver for NVIDIA from 5ххх series to 8ххх series.
****************************************************
QA Verified